Skip to content

Update Page ​

PUT/pages/:id

Update an existing page. Only the attributes you include are changed.

Attributes ​

AttributeTypeDescription
namestring
slugstring
statusstring
ordernumber
settingsobject
prefillBlocksboolean
eventIdnumber
workspaceIdnumber

All attributes are optional.

Request ​

js
import Confetti from 'confetti'

const confetti = new Confetti({ apiKey: 'your-key' })

const page = await confetti.pages.update(26074, {
  name: 'example',
})
sh
curl -X PUT "https://api.confetti.events/pages/26074" \
  -H "Content-Type: application/json" \
  -H "Authorization: apikey your-key" \
  -d '{
  "data": {
    "type": "page",
    "id": "26074",
    "attributes": {
      "name": "example"
    }
  }
}'